/*
	WinSTon
*/

#define LISTVIEW_START_Y	17							// Offsets for text in ListView control
#define LISTVIEW_ITEMHEIGHT	14
#define LISTVIEW_COLUMNGAP	4

#define CHAR_CURSOR			10							// Character used to display icon bitmaps in ListView
#define CHAR_BREAKPOINT		11

enum {
	DEBUGTAB_MEMORY,									// Tab controls
	DEBUGTAB_VIDEO,
	DEBUGTAB_IKBD,
	DEBUGTAB_MFP,
	DEBUGTAB_FDC,
	DEBUGTAB_PSG,
	DEBUGTAB_HISTORY
};

extern void Debugger_Tab_Init(HWND hWnd);
extern void Debugger_Tab_AddTab(HWND hWnd,char *pszString,int Index);
extern void Debugger_Tab_ShowTab(HWND hWnd,int Index);
extern void Debugger_Tab_Update(HWND hWnd);
extern int Debugger_Tab_GetTabString(char *pString,int Index,int nStringChars);
extern void Debugger_Tab_TabbedTextOut(HDC hDC,int x,int y,char *pString,int nStringChars,int *pBoxTabs);
extern void Debugger_Tab_DrawListViewStrings(DRAWITEMSTRUCT *pDrawItem,char **pszStrings,int **pszTabs,int nStrings,int y);
